org.apache.sling.commons.html

## Class AttrValue

- java.lang.Object
- - org.apache.sling.commons.html.AttrValue

All Implemented Interfaces:
  CharSequence

    public class AttrValue
    extends Object
    implements CharSequence

### Constructor Summary

Constructors
Constructor and Description
`AttrValue()`
`AttrValue(String value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`char` `charAt(int index)`
`String` `getQuoted(char paren)`
`String` `getValue()`
`boolean` `isEmpty()`
`int` `length()`
`String` `quoteIfNeeded()`
`void` `setValue(String value)`
`boolean` `shouldBeQuoted()`
`CharSequence` `subSequence(int start, int end)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.CharSequence

`chars, codePoints`

### Constructor Detail

#### AttrValue

    public AttrValue()

#### AttrValue

    public AttrValue(String value)

### Method Detail

#### setValue

    public void setValue(String value)

#### getValue

    public String getValue()

#### quoteIfNeeded

    public String quoteIfNeeded()

#### getQuoted

    public String getQuoted(char paren)

#### shouldBeQuoted

    public boolean shouldBeQuoted()

#### isEmpty

    public boolean isEmpty()

#### length

    public int length()

Specified by:
  `length` in interface `CharSequence`

#### charAt

    public char charAt(int index)

Specified by:
  `charAt` in interface `CharSequence`

#### subSequence

    public CharSequence subSequence(int start,
                                    int end)

Specified by:
  `subSequence` in interface `CharSequence`

#### toString

    public String toString()

Specified by:
  `toString` in interface `CharSequence`
Overrides:
  `toString` in class `Object`